Bug 12839 - aqbooksellers.gstreg is never used
Summary: aqbooksellers.gstreg is never used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12826
  Show dependency treegraph
 
Reported: 2014-08-28 09:45 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12839: aqbooksellers.gstreg is never used (3.07 KB, patch)
2014-08-28 09:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12839: aqbooksellers.gstreg is never used (3.19 KB, patch)
2014-09-09 16:15 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 12839: aqbooksellers.gstreg is never used (3.18 KB, patch)
2014-09-19 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-08-28 09:45:43 UTC

    
Comment 1 Jonathan Druart 2014-08-28 09:46:31 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2014-09-09 16:15:41 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-09-19 12:44:06 UTC
Created attachment 31740 [details] [review]
[PASSED QA] Bug 12839: aqbooksellers.gstreg is never used

The aqbooksellers.gstreg is never used in the code.
This patch does not remove the DB field but 3 useless occurrences in the
neworderempty page.

The both variable applygst and gstreg have never been took into account for prices calculation.

Test plan:
Verify there is no difference before and after the patch in the prices
calculation.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2014-12-03 14:52:55 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2014-12-03 19:56:56 UTC
Pushed to 3.18.x will be in 3.18.01